/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.PositionAssignment;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class PositionAssignment {
    public void makePositionAssignment() {
    }

    public BigDecimal calcCost() {
        return new BigDecimal(0);
    }

    public void complete() {
    }

    public void cancel() {
    }

    public boolean mi_isCompleted() {
        return false;
    }

    public BigDecimal mi_estimatePercentCompleted() {
        return new BigDecimal(0);
    }

    public int mi_assessTaskWorkload() {
        return 0;
    }

    public static Vector listPositionAssignments() {
        return new Vector();
    }

    private Date dateAccepted;
    private Date dateRejected;
    private Date dateCanceled;
    private int interval;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     * @supplierRole current,all
     */
    private TaskAssignment lnkUnnamed2;
}


